Skip to content

List my orders

GET
/api/website/me/orders
curl --request GET \
--url 'https://api.petanqueai.com/api/website/me/orders?page=1&limit=20&order=asc&status=DRAFT&channel=FIELD&invoiceStatus=PENDING&sort=orderDate' \
--header 'x-customer-session: <x-customer-session>' \
--header 'x-storefront-token: <x-storefront-token>'

The shopper’s orders, including any they placed as a guest with the same email address. Orders still waiting for payment are not listed. Paginated like the product list; filter with status, from and to.

page
Any of:
string
/^-?\d+$/
limit
Any of:
string
/^-?\d+$/
order
string
Allowed values: asc desc
search
string
status
string
Allowed values: DRAFT AWAITING_PAYMENT PENDING_APPROVAL REVISION_REQUESTED APPROVED PRE_ORDER CANCELLED
channel
string
Allowed values: FIELD WEB
pharmacyId
string
>= 1 characters
customerId
string
>= 1 characters
invoiceStatus
string
Allowed values: PENDING UPLOADED SENT CANCELLED
createdByMembershipId
string
>= 1 characters
from
string format: date-time
to
string format: date-time
sort
string
Allowed values: orderDate status netTotalMinor createdAt